# Retrieve Model List

You can use the API endpoint to retrieve a list of all currently available models. We support both OpenAI and Gemini formats for the API (not all models support Gemini).

## OpenAI Compatible Model List

### Request

#### Request Address

```
GET https://api.umodelverse.ai/v1/models
```

#### Request Example

You can directly use the `curl` command to call this interface.
> ⚠️Note: This interface will only return models for text generation. If you need to use image generation models, see [Image Generation].

```bash
curl https://api.umodelverse.ai/v1/models \
  -H "Content-Type: application/json" | jq .
```

### Response

#### Response Example

Upon successful invocation, a JSON object is returned containing a list of model objects.

```json
{
  "data": [
    {
      "created": 1762741377,
      "id": "deepseek-ai/DeepSeek-R1",
      "object": "model",
      "owned_by": "SCloud_UModelverse"
    },
    {
      "created": 1762741326,
      "id": "gpt-5",
      "object": "model",
      "owned_by": "SCloud_UModelverse"
    },
    ......
  ],
  "object": "list"
}
```

#### Response Body Parameter Description

| Parameter   | Type    | Description                         |
| :---------- | :------ | :---------------------------------- |
| `id`        | string  | The unique identifier for the model.|
| `object`    | string  | Object type, always `model` here.   |
| `created`   | integer | Unix timestamp when the model was created.|
| `owned_by`  | string  | Model owner.                        |

## Gemini Compatible Model List

### Request

#### Request Address

```
GET https://api.umodelverse.ai/v1beta/models
```

#### Request Example

You can use the `curl` command to call this interface.
> ⚠️Note: This interface will only return models supporting the gemini protocol.

```bash
curl --location 'https://api.umodelverse.ai/v1beta/models' \
  -H "Content-Type: application/json" 
```

### Response

#### Response Example

Upon successful invocation, a JSON object is returned containing a list of model objects.

```json
{
    "models": [
        {
            "name": "models/gemini-2.5-flash-image",
            "baseModelId": "gemini-2.5-flash-image",
            "version": "",
            "displayName": "gemini-2.5-flash-image",
            "description": "gemini-2.5-flash-image",
            "inputTokenLimit": 0,
            "outputTokenLimit": 0,
            "supportedActions": [
                "generateContent"
            ]
        },
        {
            "name": "models/gemini-2.5-pro",
            "baseModelId": "gemini-2.5-pro",
            "version": "",
            "displayName": "gemini-2.5-pro",
            "description": "gemini-2.5-pro",
            "inputTokenLimit": 0,
            "outputTokenLimit": 0,
            "supportedActions": [
                "generateContent"
            ]
        },
        {
            "name": "models/gemini-2.5-flash",
            "baseModelId": "gemini-2.5-flash",
            "version": "",
            "displayName": "gemini-2.5-flash",
            "description": "gemini-2.5-flash",
            "inputTokenLimit": 0,
            "outputTokenLimit": 0,
            "supportedActions": [
                "generateContent"
            ]
        }
    ]
}
```

#### Response Body Parameter Description

| Parameter           | Type    | Description                        |
| :------------------ | :------ | :--------------------------------- |
| `name`              | string  | Full resource name of the model.   |
| `baseModelId`       | string  | ID of the base model.              |
| `version`           | string  | Model version number.              |
| `displayName`       | string  | Display name of the model.         |
| `description`       | string  | Description of the model.          |
| `inputTokenLimit`   | integer | Maximum limit of input tokens.     |
| `outputTokenLimit`  | integer | Maximum limit of output tokens.    |
| `supportedActions`  | array   | List of actions supported by the model. |